---
title: "Release v0.16.0"
linkTitle: "Release v0.16.0"
date: 2021-09-10
description: >
 Release v0.16.0
---

## Changelog since v0.15.4

### Breaking changes
Up to v0.15.4, Eventwatcher watches all Git repositories without any settings by default. Starting with this version, please specify all repositories to be observed, according to the [Piped guied](https://pipecd.dev/docs/operator-manual/piped/configuring-event-watcher/#required-specify-git-repositories-to-be-observed)

Also, the default interval of Eventwatcher got changed to `1m` from `5m`.

### Notable Changes
* Fix a bug that Eventwatcher deletes comments at the same line at the YAML value ([#2460](https://github.com/pipe-cd/pipecd/pull/2460))
* Change the default interval for Eventwatcher to 1m ([#2454](https://github.com/pipe-cd/pipecd/pull/2454))
* Change Eventwatcher to need to specify repos to be observed ([#2452](https://github.com/pipe-cd/pipecd/pull/2452))
* Add policy API and its resources to the default watching list of Kubernetes ([#2435](https://github.com/pipe-cd/pipecd/pull/2435))
* Fix no line break in Terraform V1 log on the deployment detail page ([#2429](https://github.com/pipe-cd/pipecd/pull/2429))

### Internal Changes
* Update Eventwatcher docs to mention gitRepos have to be specified ([#2457](https://github.com/pipe-cd/pipecd/pull/2457))
* Exclude "InvalidArgument" and "PermissionDenied" from alerting target ([#2461](https://github.com/pipe-cd/pipecd/pull/2461))
* Fix operator doc to use latest stable Piped version ([#2459](https://github.com/pipe-cd/pipecd/pull/2459))
* Add admissionregistration.k8s.io/* API to the default watching list of Kubernetes ([#2441](https://github.com/pipe-cd/pipecd/pull/2441))
* Update version for controlplane overview dashboard ([#2451](https://github.com/pipe-cd/pipecd/pull/2451))
* Revise control-plane overview dashboard ([#2450](https://github.com/pipe-cd/pipecd/pull/2450))
* Add ResourceQuota kind to the default watching list of Kubernetes ([#2445](https://github.com/pipe-cd/pipecd/pull/2445))
* Add piped list panel to piped overview dashboard ([#2449](https://github.com/pipe-cd/pipecd/pull/2449))
* Add Namespace kind to the default watching list of Kubernetes ([#2444](https://github.com/pipe-cd/pipecd/pull/2444))
* Add PodTemplate kind to the default watching list of Kubernetes ([#2446](https://github.com/pipe-cd/pipecd/pull/2446))
* Add note about bazelisk installation ([#2440](https://github.com/pipe-cd/pipecd/pull/2440))
* Add IngressClass kind to the default watching list of Kubernetes ([#2447](https://github.com/pipe-cd/pipecd/pull/2447))
* Update contributor list ([#2437](https://github.com/pipe-cd/pipecd/pull/2437))
* Add log to show why a planning was skipped ([#2433](https://github.com/pipe-cd/pipecd/pull/2433))
* Fix canary-patch app to directly use envoy configuration file path ([#2434](https://github.com/pipe-cd/pipecd/pull/2434))
* Upgrade go-yaml to v1.9.3 ([#2432](https://github.com/pipe-cd/pipecd/pull/2432))
* Add the explanation to the document to make it easier to understand ([#2431](https://github.com/pipe-cd/pipecd/pull/2431))
* Add ono-max into backend team ([#2428](https://github.com/pipe-cd/pipecd/pull/2428))
* Fix no linebreak logs ([#2416](https://github.com/pipe-cd/pipecd/pull/2416))
* Add render release note command ([#2427](https://github.com/pipe-cd/pipecd/pull/2427))

