---
title: "Release v0.34.0"
linkTitle: "Release v0.34.0"
date: 2022-07-05
description: >
 Release v0.34.0
---

## Release v0.34.0 with changes since v0.33.0

### Notable Changes

* Event watcher now can be configured in the application configuration file ([#3729](https://github.com/pipe-cd/pipecd/pull/3729))
* Add actions menu to application detail page ([#3773](https://github.com/pipe-cd/pipecd/pull/3773))
* Make the piped agent pod force auto-restart controllable via helm values ([#3786](https://github.com/pipe-cd/pipecd/pull/3786))

### Internal Changes

* Add running log for migration task runner ([#3791](https://github.com/pipe-cd/pipecd/pull/3791))
* Add firestore index for migration task query ([#3788](https://github.com/pipe-cd/pipecd/pull/3788))
* Remove environment from database ([#3787](https://github.com/pipe-cd/pipecd/pull/3787))
* Update login-action version ([#3785](https://github.com/pipe-cd/pipecd/pull/3785))
* Add the tool of firestore-emulator ([#3784](https://github.com/pipe-cd/pipecd/pull/3784))
* Fix to save the go module cache ([#3781](https://github.com/pipe-cd/pipecd/pull/3781))
* Add CloudProvider to PlatformProvider migration task for application model to ops ([#3767](https://github.com/pipe-cd/pipecd/pull/3767))
* Fix react Menu Fragment error ([#3782](https://github.com/pipe-cd/pipecd/pull/3782))
* Fix the env in github action ([#3780](https://github.com/pipe-cd/pipecd/pull/3780))
* Fix workflow to login without base64 value ([#3779](https://github.com/pipe-cd/pipecd/pull/3799))
* Add encryt secret option to the menu action in application detail page ([#3776](https://github.com/pipe-cd/pipecd/pull/3776))
* Update docker/login-action ([#3777](https://github.com/pipe-cd/pipecd/pull/3777))
* Update action menu on applications list page ([#3775](https://github.com/pipe-cd/pipecd/pull/3775))
* Ensure to have PlatformProvider value in application model on adding new application ([#3769](https://github.com/pipe-cd/pipecd/pull/3769))
* Publish helloworld image to GCR for Cloud Run examples ([#3772](https://github.com/pipe-cd/pipecd/pull/3772))
* Update grpc to v1.47.0 ([#3770](https://github.com/pipe-cd/pipecd/pull/3770))
* Fix wrong image path on GCR ([#3771](https://github.com/pipe-cd/pipecd/pull/3771))
* Fix to publish the image of piped and launcher to GCR ([#3763](https://github.com/pipe-cd/pipecd/pull/3763))
* Build binaries for arm64 ([#3766](https://github.com/pipe-cd/pipecd/pull/3766))
* Remove resolved note ([#3768](https://github.com/pipe-cd/pipecd/pull/3768))
* Fix the format of Cloud Run ([#3764](https://github.com/pipe-cd/pipecd/pull/3764))
* Add the docs for supporting event watcher in app config ([#3761](https://github.com/pipe-cd/pipecd/pull/3761))
* Fix to separete the milestones for .pipe/ and app config ([#3760](https://github.com/pipe-cd/pipecd/pull/3760))
* Fix the type assertion for event watcher cache ([#3758](https://github.com/pipe-cd/pipecd/pull/3758))
* Fix the file path of event watcher config ([#3757](https://github.com/pipe-cd/pipecd/pull/3757))
* Add platform provider to application, deployment and piped model ([#3756](https://github.com/pipe-cd/pipecd/pull/3756))
* Remove KeyHash from piped model ([#3755](https://github.com/pipe-cd/pipecd/pull/3755))
* Remove deprecated fields from models ([#3752](https://github.com/pipe-cd/pipecd/pull/3752))
* Update the version of actions-gh-release ([#3754](https://github.com/pipe-cd/pipecd/pull/3754))
* Fix to add safe.directory before running git command ([#3753](https://github.com/pipe-cd/pipecd/pull/3753))
* Add PlatformProvider to deployment model ([#3750](https://github.com/pipe-cd/pipecd/pull/3750))
* Fix to use the pointer type in showCommitter ([#3747](https://github.com/pipe-cd/pipecd/pull/3747))
* Update CODEOWNERS and contributor list in README ([#3748](https://github.com/pipe-cd/pipecd/pull/3748))
* Add breaking changes note about Helm values file restriction ([#3744](https://github.com/pipe-cd/pipecd/pull/3744))
* Add flag for launcher to Makefile ([#3742](https://github.com/pipe-cd/pipecd/pull/3742))
