---
title: "Release v0.9.7"
linkTitle: "Release v0.9.7"
date: 2021-03-09
description: >
  Release v0.9.7
---

## Changelog since v0.9.6

### Notable Changes
* Use search params to filter deployments list ([#1664](https://github.com/pipe-cd/pipecd/pull/1664))
* Fix a bug that it was unable to cancel during performing ADA stage ([#1661](https://github.com/pipe-cd/pipecd/pull/1661))
* Add name filter to the application filter ([#1656](https://github.com/pipe-cd/pipecd/pull/1656))
* Fix display of the blank page when the user is not logged in ([#1650](https://github.com/pipe-cd/pipecd/pull/1650))
* Show filters by default ([#1648](https://github.com/pipe-cd/pipecd/pull/1648))
* Make it possible to pass projectName from URL to login form ([#1630](https://github.com/pipe-cd/pipecd/pull/1630))
* Disable editing application git path ([#1627](https://github.com/pipe-cd/pipecd/pull/1627))

### Internal Changes
* Update gazelle to v0.23.0 ([#1668](https://github.com/pipe-cd/pipecd/pull/1668))
* Change the color of loading indicator at the log viewer ([#1620](https://github.com/pipe-cd/pipecd/pull/1620))
* Missing make gazelle run ([#1667](https://github.com/pipe-cd/pipecd/pull/1667))
* Add make row id from model id ([#1658](https://github.com/pipe-cd/pipecd/pull/1658))
* Refactor redux selectors ([#1657](https://github.com/pipe-cd/pipecd/pull/1657))
* Mysql datastore interface implementation ([#1653](https://github.com/pipe-cd/pipecd/pull/1653))
* Treat context deadline exceeded error as a success ([#1619](https://github.com/pipe-cd/pipecd/pull/1619))
* Ensure that name field of application model should be indexed ([#1652](https://github.com/pipe-cd/pipecd/pull/1652))
* Update ListApplications rpc to be able to filter by name ([#1651](https://github.com/pipe-cd/pipecd/pull/1651))
* Update contributor list in readme ([#1645](https://github.com/pipe-cd/pipecd/pull/1645))
* Fix typo ([#1644](https://github.com/pipe-cd/pipecd/pull/1644))
* Fix wrong indent and a typo in Makefile ([#1643](https://github.com/pipe-cd/pipecd/pull/1643))
* Add MySQL client ([#1641](https://github.com/pipe-cd/pipecd/pull/1641))
* Update feature status note: Support MySQL v8 ([#1642](https://github.com/pipe-cd/pipecd/pull/1642))
* Fix web build params ([#1640](https://github.com/pipe-cd/pipecd/pull/1640))
* Disallow changing git path from updating application api ([#1626](https://github.com/pipe-cd/pipecd/pull/1626))
* Update bazel to 3.7.2 ([#1635](https://github.com/pipe-cd/pipecd/pull/1635))
* Update to use go 1.16 ([#1633](https://github.com/pipe-cd/pipecd/pull/1633))
* [RFC] SQL database as Control-Plane datastore ([#1612](https://github.com/pipe-cd/pipecd/pull/1612))
* Update rules_go to v0.24.13, gazelle to v0.22.3 ([#1632](https://github.com/pipe-cd/pipecd/pull/1632))
* Remove unnecessary code from insight collector ([#1631](https://github.com/pipe-cd/pipecd/pull/1631))
* Add mock for insight API ([#1629](https://github.com/pipe-cd/pipecd/pull/1629))
* Add feature-flags on config and create collector mode on insight collector ([#1606](https://github.com/pipe-cd/pipecd/pull/1606))
* Use echarts for building chart component instead of recharts ([#1628](https://github.com/pipe-cd/pipecd/pull/1628))
* Update the feature status of Automated Rollback for Cloud Run and Terraform to beta ([#1625](https://github.com/pipe-cd/pipecd/pull/1625))
* Add contributor list to readme ([#1624](https://github.com/pipe-cd/pipecd/pull/1624))
* Add support for building web assets it has API mocking ([#1621](https://github.com/pipe-cd/pipecd/pull/1621))
* Revert "Update bazel to 4.0.0 (#1615)" ([#1618](https://github.com/pipe-cd/pipecd/pull/1618))
* Update bazel to 4.0.0 ([#1615](https://github.com/pipe-cd/pipecd/pull/1615))
* Add support SQL database note to feature status page ([#1616](https://github.com/pipe-cd/pipecd/pull/1616))
* Stop dealing with "__name__" field ([#1614](https://github.com/pipe-cd/pipecd/pull/1614))
* Improve lighthouse score of document site ([#1613](https://github.com/pipe-cd/pipecd/pull/1613))
* Update Istio support to beta phase ([#1611](https://github.com/pipe-cd/pipecd/pull/1611))
* Update ops manifests to allow configuring log encoding ([#1609](https://github.com/pipe-cd/pipecd/pull/1609))
